Compute Rag Index.
Knowledge Base
Compute Rag Index.
In case the document is not RAG indexed, it triggers rag indexing task, otherwise it just returns the current status.
POST
Compute Rag Index.
Authorizations
API key for programmatic access
Path Parameters
Body
application/json
Request body for POST /{documentation_id}/rag-index endpoint
Embedding model to use for indexing
Available options:
e5_mistral_7b_instruct, multilingual_e5_large_instruct, gemini-embedding-001 Response
Successful Response
Response model for a single RAG index
Index ID
Embedding model used
Available options:
e5_mistral_7b_instruct, multilingual_e5_large_instruct, gemini-embedding-001 Index status
Available options:
created, processing, failed, succeeded, rag_limit_exceeded, document_too_small, cannot_index_folder Indexing progress (0-100)
Usage information